<?php
/**
 * Color Settings
 *
 * @package United Blog
 */
$default = united_blog_get_default_theme_options();
$wp_customize->add_setting(
    'footer_background_color',
    array(
        'default'           => $default['footer_background_color'],
        'sanitize_callback' => 'sanitize_hex_color',
    )
);
$wp_customize->add_control(
    new WP_Customize_Color_Control(
        $wp_customize,
        'footer_background_color',
        array(
            'label' => __('Footer Background Color', 'united-blog'),
            'section' => 'colors',
            'type'            => 'color',
        )
    )
);


$wp_customize->add_setting(
    'footer_text_color',
    array(
        'default'           => $default['footer_text_color'],
        'sanitize_callback' => 'sanitize_hex_color',
    )
);
$wp_customize->add_control(
    new WP_Customize_Color_Control(
        $wp_customize,
        'footer_text_color',
        array(
            'label' => __('Footer Text Color', 'united-blog'),
            'section' => 'colors',
            'type'            => 'color',
        )
    )
);

$wp_customize->add_setting(
    'select_site_mode',
    array(
        'default' => $default['select_site_mode'],
        'sanitize_callback' => 'united_blog_sanitize_select',
    )
);
$wp_customize->add_control(
    'select_site_mode',
    array(
        'label' => __('Color Scheme', 'united-blog'),
        'section' => 'colors',
        'type' => 'select',
        'choices' => array(
            'united-scheme-none' => __('None', 'united-blog'),
            'united-color-scheme united-scheme-1' => __('Color Scheme 1', 'united-blog'),
            'united-color-scheme united-scheme-2' => __('Color Scheme 2', 'united-blog'),
            'united-color-scheme united-scheme-3' => __('Color Scheme 3', 'united-blog'),
        ),
    )
);
